Subject: -fno-strict-aliasing

From: [email-masked]
Date: Mon, 14 Feb 2000 10:39:57 -0800

Hi,

The test for -fno-strict-aliasing in the main Makefile (cvs 2.3.38):

| # use '-fno-strict-aliasing', but only if the compiler can take it
| CFLAGS += $(shell if $(CC) -fno-strict-aliasing -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-fno-strict-aliasing"; fi)

doesn't work for me. -fno-strict-aliasing is still enabled, while my compiler
doesn't understand it. I'm using gcc version egcs-2.90.27 980315 (egcs-1.0.2
release).

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven ------------- Sony Software Development Center Europe (SDCE)
[email-masked] ------------------- Sint-Stevens-Woluwestraat 55
Voice +32-2-7248632 Fax +32-2-7262686 ---------------- B-1130 Brussels, Belgium